Package org.gitana.platform.client.node.type

# Class CopiedFromAssociationImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.repository.AbstractRepositoryDocumentImpl
org.gitana.platform.client.node.BaseNodeImpl
org.gitana.platform.client.node.AssociationImpl
org.gitana.platform.client.node.type.LinkedAssociationImpl
org.gitana.platform.client.node.type.CopiedFromAssociationImpl

All Implemented Interfaces:
  `Serializable`, `Attachable`, `Document`, `Association`, `BaseNode`, `CopiedFromAssociation`, `LinkedAssociation`, `PlatformDocument`, `RepositoryDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class CopiedFromAssociationImpl extends LinkedAssociationImpl implements CopiedFromAssociation

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.node.Association

`FIELD_DIRECTIONALITY, FIELD_SOURCE, FIELD_SOURCE_CHANGESET, FIELD_SOURCE_TYPE, FIELD_TARGET, FIELD_TARGET_CHANGESET, FIELD_TARGET_TYPE, FIELD_TIMESTAMP`

### Fields inherited from interface org.gitana.platform.client.node.BaseNode

`FIELD_FEATURES, FIELD_QNAME, FIELD_TYPE_QNAME, SYSTEM_CHANGESET, SYSTEM_DELETED`

### Fields inherited from interface org.gitana.platform.client.node.type.CopiedFromAssociation

`QNAME`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.node.type.LinkedAssociation

`QNAME`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`CopiedFromAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

### Methods inherited from class org.gitana.platform.client.node.AssociationImpl

`equals, getDirectionality, getOtherNode, getSourceChangeset, getSourceChangesetId, getSourceNode, getSourceNodeId, getSourceNodeTypeQName, getTargetChangeset, getTargetChangesetId, getTargetNode, getTargetNodeId, getTargetNodeTypeQName, getTimestamp, getTypeId, isOwned, isSourceLoaded, isTargetLoaded, setDirectionality, setSourceChangesetId, setSourceNode, setSourceNodeId, setSourceNodeTypeQName, setTargetChangesetId, setTargetNode, setTargetNodeId, setTargetNodeTypeQName`

### Methods inherited from class org.gitana.platform.client.node.BaseNodeImpl

`addFeature, copy, copyAsync, delete, deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getBranch, getBranchId, getChangeset, getChangesetId, getDownloadUri, getDriver, getFactory, getFeature, getFeatureIds, getQName, getRemote, getRepository, getRepositoryId, getResourceUri, getTypeQName, hasFeature, isDeleted, listAttachments, ref, reload, removeFeature, touch, update, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getPlatform, getPlatformId, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.node.Association

`getDirectionality, getOtherNode, getSourceChangeset, getSourceChangesetId, getSourceNode, getSourceNodeId, getSourceNodeTypeQName, getTargetChangeset, getTargetChangesetId, getTargetNode, getTargetNodeId, getTargetNodeTypeQName, getTimestamp, isOwned, isSourceLoaded, isTargetLoaded, setDirectionality, setSourceChangesetId, setSourceNode, setSourceNodeId, setSourceNodeTypeQName, setTargetChangesetId, setTargetNode, setTargetNodeId, setTargetNodeTypeQName`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.node.BaseNode

`addFeature, getBranch, getBranchId, getChangeset, getChangesetId, getFeature, getFeatureIds, getQName, getRepository, getRepositoryId, getTypeQName, hasFeature, isDeleted, removeFeature, touch`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Constructor Details

### CopiedFromAssociationImpl

public CopiedFromAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)